Loading...
Searching...
No Matches
pcl::SVMParam Struct Reference

The structure stores the parameters for the classificationa nd must be initialized and passed to the training method pcl::SVMTrain. More...

`#include <pcl/ml/svm_wrapper.h>`

Inheritance diagram for pcl::SVMParam:

## Public Member Functions

| SVMParam ()

## Additional Inherited Members

Public Attributes inherited from svm_parameter
int | svm_type
int | kernel_type
int | degree
double | gamma
double | coef0
double | cache_size
double | eps
double | C
int | nr_weight
int * | weight_label
double * | weight
double | nu
double | p
int | shrinking
int | probability

## Detailed Description

The structure stores the parameters for the classificationa nd must be initialized and passed to the training method pcl::SVMTrain.

Parameters

  svm_type | {C_SVC, NU_SVC, ONE_CLASS, EPSILON_SVR, NU_SVR}
  kernel_type | {LINEAR, POLY, RBF, SIGMOID, PRECOMPUTED}
  probability | sets the probability estimates

Definition at line 61 of file svm_wrapper.h.

## Constructor & Destructor Documentation

## SVMParam()

pcl::SVMParam::SVMParam | ( |  | ) |

inline

Definition at line 62 of file svm_wrapper.h.

References svm_parameter::C, svm_parameter::cache_size, svm_parameter::coef0, svm_parameter::degree, svm_parameter::eps, svm_parameter::gamma, svm_parameter::kernel_type, svm_parameter::nr_weight, svm_parameter::nu, svm_parameter::p, svm_parameter::probability, svm_parameter::shrinking, svm_parameter::svm_type, svm_parameter::weight, and svm_parameter::weight_label.

The documentation for this struct was generated from the following file:

- pcl/ml/svm_wrapper.h